Bug 1729069 - IPA upgrade fails for latest ipa package when setup in multi master mode
Summary: IPA upgrade fails for latest ipa package when setup in multi master mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: 389-ds-base
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: mreynolds
QA Contact: RHDS QE
Tomas Capek
URL:
Whiteboard:
: 1739419 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 10:49 UTC by Nikhil Dehadrai
Modified: 2019-11-05 21:00 UTC (History)
12 users (show)

Fixed In Version: 389-ds-base-1.4.1.3-5.module+el8.1.0+3776+ece1ae4c
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 21:00:29 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3401 None None None 2019-11-05 21:00:43 UTC

Description Nikhil Dehadrai 2019-07-11 10:49:32 UTC
Description of problem:
IPA upgrade fails for latest ipa package when setup in multi master mode


Version-Release number of selected component (if applicable):
389-ds-base-1.4.1.3-2.module+el8.1.0+3395+60a28832.x86_64
ipa-server-4.7.90.pre1-3.module+el8.1.0+3389+a3c612fa.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Setup IPA Master and IPa -replica at RHEL 80 (in my case ipa-server-4.7.1-11.module+el8+2842+7481110c.x86_64)
2. Setup repo for RHEL 81beta to IPA-Master
3. Upgrade the IPA-Master using command
# yum -y update or
# dnf -y update


Actual results:
Ipa-server upgrade FAILs

2019-07-11T10:43:26Z ERROR IPA server upgrade failed: Inspect /var/log/ipaupgrade.log and run command ipa-server-upgrade manually.
2019-07-11T10:43:26Z DEBUG   File "/usr/lib/python3.6/site-packages/ipapython/admintool.py", line 179, in execute
    return_value = self.run()
  File "/usr/lib/python3.6/site-packages/ipaserver/install/ipa_server_upgrade.py", line 54, in run
    server.upgrade()
  File "/usr/lib/python3.6/site-packages/ipaserver/install/server/upgrade.py", line 2212, in upgrade
    data_upgrade.create_instance()
  File "/usr/lib/python3.6/site-packages/ipaserver/install/upgradeinstance.py", line 133, in create_instance
    runtime=90)
  File "/usr/lib/python3.6/site-packages/ipaserver/install/service.py", line 603, in start_creation
    run_step(full_msg, method)
  File "/usr/lib/python3.6/site-packages/ipaserver/install/service.py", line 589, in run_step
    method()
  File "/usr/lib/python3.6/site-packages/ipaserver/install/upgradeinstance.py", line 103, in __start
    srv.start(self.serverid, ldapi=True)
  File "/usr/lib/python3.6/site-packages/ipaplatform/redhat/services.py", line 137, in start
    instance_name, capture_output=capture_output, wait=wait)
  File "/usr/lib/python3.6/site-packages/ipaplatform/base/services.py", line 307, in start
    skip_output=not capture_output)
  File "/usr/lib/python3.6/site-packages/ipapython/ipautil.py", line 580, in run
    p.returncode, arg_string, output_log, error_log

2019-07-11T10:43:26Z DEBUG The ipa-server-upgrade command failed, exception: CalledProcessError: CalledProcessError(Command ['/bin/systemctl', 'start', 'dirsrv@TESTRELM-TEST.service'] returned non-zero exit status 1: 'Job for dirsrv@TESTRELM-TEST.service failed because the control process exited with error code.\nSee "systemctl status dirsrv@TESTRELM-TEST.service" and "journalctl -xe" for details.\n')
2019-07-11T10:43:26Z ERROR Unexpected error - see /var/log/ipaupgrade.log for details:
CalledProcessError: CalledProcessError(Command ['/bin/systemctl', 'start', 'dirsrv@TESTRELM-TEST.service'] returned non-zero exit status 1: 'Job for dirsrv@TESTRELM-TEST.service failed because the control process exited with error code.\nSee "systemctl status dirsrv@TESTRELM-TEST.service" and "journalctl -xe" for details.\n')
2019-07-11T10:43:26Z ERROR The ipa-server-upgrade command failed. See /var/log/ipaupgrade.log for more information



Expected results:
IPA server upgrade should be successful

Additional info:
When the same command is run only on single master (IPA-Master), the server upgrade is successful

Comment 12 thierry bordaz 2019-08-09 10:47:12 UTC
*** Bug 1739419 has been marked as a duplicate of this bug. ***

Comment 13 mreynolds 2019-08-09 14:13:06 UTC
This is fixed in 389-ds-base-1.4.1.3-4 (RHEL 8.1)

Comment 15 Viktor Ashirov 2019-08-22 10:11:38 UTC
Build tested: 389-ds-base-1.4.1.3-5.module+el8.1.0+3776+ece1ae4c.x86_64

I can confirm that dirsrv schema contains '*-oid' strings instead of numeric oids.

Nikhil, can you confirm that ipa upgrade tests work for you now?

Comment 17 Viktor Ashirov 2019-08-26 10:35:50 UTC
Thanks Nikhil, marking as VERIFIED.

Comment 19 errata-xmlrpc 2019-11-05 21:00:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3401


Note You need to log in before you can comment on or make changes to this bug.